{{ define "layout" }}

<!DOCTYPE html>
<html lang='{{ .Lang }}'>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <meta name="description" content="Make it more interesting to follow sports from the couch">
    <meta name="keywords" content="betting">
    <meta name="author" content="MF">

    <title>{{ index .Translation "Title" }}</title>
    <link 
      href="https://stackpath.bootstrapcdn.com/bootswatch/4.1.1/simplex/bootstrap.min.css" 
      rel="stylesheet" 
      media="all">
    <link 
      href="https://use.fontawesome.com/releases/v5.0.13/css/all.css" 
      rel="stylesheet" 
      integrity="sha384-DNOHZ68U8hZfKXOrtjWvjxusGo9WQnrNx2sqG0tfsghAvtVlRW3tvkXWZh58N9jp" 
      crossorigin="anonymous">
    <link href="/static/css/layout.css?version=0.1" rel="stylesheet">
  </head>
  <body>

    {{ template "navbar" . }}

    {{ if .Alert }}
    <div class="alert alert-dismissible alert-{{ .Alert.Type }}">
      <button type="button" class="close" data-dismiss="alert">&times;</button>
      {{ if .Alert.Heading }}
      <h4 class="alert-heading">{{ .Alert.Heading }}</h4>
      {{ end }}
      <p class="mb-0">{{ .Alert.Message }}</p>
    </div>
    {{ end }}

    {{ if .EndIsNear }}
    <div class="alert alert-dismissible alert-info">
      <button type="button" class="close" data-dismiss="alert">&times;</button>
      <h4 class="alert-heading">{{ index .Translation "HeadsUp" }}</h4>
      <p class="mb-0">{{ index .Translation "EndIsNear" }}</p>
    </div>
    {{ end }}

    {{ if .NotFound }}
    <div class="alert alert-dismissible alert-info">
      <button type="button" class="close" data-dismiss="alert">&times;</button>
      <h4 class="alert-heading">{{ index .Translation "Oops" }}</h4>
      <p class="mb-0">{{ index .Translation "ResourceNotFound" }}</p>
    </div>
    {{ end }}
    <br>
    <div class="container">
      
      {{ template "content" . }}
      
    </div>
    
    <script
      src="https://code.jquery.com/jquery-3.3.1.min.js"
      integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
      crossorigin="anonymous"
      type="text/javascript">
    </script>

    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"
      type="text/javascript">
    </script>
    <script src="/static/js/app.js?version=0.323"></script>
  </body>
</html>

{{ end }}